package com.springinteg.chaining;

import org.springframework.integration.core.MessageSelector;
import org.springframework.messaging.Message;
import org.springframework.stereotype.Component;

@Component
public class OrderMsgSelector implements MessageSelector{
	
	public boolean accept(Message<?> message) {
	    if (message.getPayload().getClass() != OrderPayload.class) {
	      return false;
	    }
	    OrderPayload msgPayload = (OrderPayload) message.getPayload();
	    return "orderMsg".equalsIgnoreCase(msgPayload.getContent());
	  }

}
